MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022693Community[OCCT] OCCT:Application Frameworkpublic2011-08-03 15:422012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022693: Elimination Compiler warnings
DescriptionPost from the Forum - http://www.opencascade.org/org/forum/thread_21230/. [^]

"Compiler warnings suggest that there may be problems with those 3 files (OCT 6.5.1):
diff --git a/src/TNaming/TNaming_Localizer.cxx b/src/TNaming/TNaming_Localizer.cxx
index 640628b..6864dd6 100644
--- a/src/TNaming/TNaming_Localizer.cxx
+++ b/src/TNaming/TNaming_Localizer.cxx
@@ -244,7 +244,7 @@ const TopTools_IndexedDataMapOfShapeListOfShape& TNaming_Localizer::Ancestors
if (TS == TopAbs_EDGE) TA = TopAbs_FACE;
if (TS == TopAbs_VERTEX) TA = TopAbs_EDGE;
if (TS == TopAbs_FACE) TA = TopAbs_SOLID;// 25.09.2009 - szy
- if (TS == TopAbs_EDGE || TS == TopAbs_VERTEX || TS == TopAbs_FACE && TA >= In.ShapeType()) {
+ if (TS == TopAbs_EDGE || TS == TopAbs_VERTEX || (TS == TopAbs_FACE && TA >= In.ShapeType())) {
TopExp::MapShapesAndAncestors(In, TS, TA, myAncestors.First());
}
else {

Maybe this line is expected instead:
if ((TS == TopAbs_EDGE || TS == TopAbs_VERTEX || TS == TopAbs_FACE) && TA >= In.ShapeType()) {
"
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0017896)
szy (administrator)
2011-08-03 17:20

Community doesn't provide environment specification for the issue reproducing.
(0017897)
szy (administrator)
2011-08-03 17:23

Branch 0022693 is created.
The order of operations is specified explicitly. Fixed.
(0018686)
szy (administrator)
2011-12-01 12:24

For review.
(0018689)
abv (manager)
2011-12-01 12:39

The fix reviewed without remarks; please test
(0018768)
mkv (tester)
2011-12-07 14:42
edited on: 2011-12-07 18:12

Dear BugMaster,
Workbench KAS:dev:mkv-22693-occt was created from SVN branch http://svn/svn/occt/branches/0022693 [^]
(and mkv-22693-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-22693-products regarding to KAS:dev:products-652-opt.

See results in /QADisk/occttests/results/KAS/dev/mkv-22693-products_02122011/lin
See reference results in /QAdisk/occttests/results/KAS/dev/products-652-opt_23092011/lin
See test cases in /QAdisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0018895)
bugmaster (administrator)
2011-12-16 17:23

Integration into trunk of occt repository

Date: 2011-12-16 17:18:52 +0400 (Fri, 16 Dec 2011)
New Revision: 9778

Modified:
   trunk/src/TNaming/TNaming_Localizer.cxx

- Related Changesets
occt: master 446b69ba
Timestamp: 2011-12-16 13:18:52
Author: szy
Committer: bugmaster
Details ] Diff ]
0022693: Elimination Compiler warnings
mod - src/TNaming/TNaming_Localizer.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-03 15:42 szy New Issue
2011-08-03 15:42 szy Assigned To => szy
2011-08-03 17:20 szy Note Added: 0017896
2011-08-03 17:20 szy Status new => assigned
2011-08-03 17:23 szy Note Added: 0017897
2011-08-03 17:23 szy Status assigned => resolved
2011-09-21 11:42 bugmaster Target Version 6.5.2 => 6.5.3
2011-12-01 12:24 szy Note Added: 0018686
2011-12-01 12:24 szy Assigned To szy => abv
2011-12-01 12:24 szy Status resolved => assigned
2011-12-01 12:38 abv Status assigned => resolved
2011-12-01 12:39 abv Note Added: 0018689
2011-12-01 12:39 abv Status resolved => reviewed
2011-12-01 12:40 abv Assigned To abv => szy
2011-12-07 14:42 mkv Note Added: 0018768
2011-12-07 14:42 mkv Test case number => Test case is not required
2011-12-07 14:42 mkv Status reviewed => tested
2011-12-07 18:12 szy Note Edited: 0018768 View Revisions
2011-12-16 17:23 bugmaster Note Added: 0018895
2011-12-16 17:23 bugmaster Status tested => verified
2011-12-16 17:23 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master 446b69ba


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker